diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/ninja.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/ninja.py
index 0555a4a90d..ef8549771c 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/ninja.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/ninja.py
@@ -95,10 +95,10 @@ def Define(d, flavor):
 def AddArch(output, arch):
   """Adds an arch string to an output path."""
   output, extension = os.path.splitext(output)
-  return '%s.%s%s' % (output, arch, extension)
+  return '{}.{}{}'.format(output, arch, extension)
 
 
-class Target(object):
+class Target:
   """Target represents the paths used within a single gyp target.
 
   Conceptually, building a single target A is a series of steps:
@@ -208,7 +208,7 @@ class Target(object):
 #   an output file; the result can be namespaced such that it is unique
 #   to the input file name as well as the output target name.
 
-class NinjaWriter(object):
+class NinjaWriter:
   def __init__(self, hash_for_rules, target_outputs, base_dir, build_dir,
                output_file, toplevel_build, output_file_name, flavor,
                toplevel_dir=None):
@@ -350,7 +350,7 @@ class NinjaWriter(object):
 
     Uses a stamp file if necessary."""
 
-    assert targets == filter(None, targets), targets
+    assert targets == [_f for _f in targets if _f], targets
     if len(targets) == 0:
       assert not order_only
       return None
@@ -362,7 +362,7 @@ class NinjaWriter(object):
 
   def _SubninjaNameForArch(self, arch):
     output_file_base = os.path.splitext(self.output_file_name)[0]
-    return '%s.%s.ninja' % (output_file_base, arch)
+    return '{}.{}.ninja'.format(output_file_base, arch)
 
   def WriteSpec(self, spec, config_name, generator_flags):
     """The main entry point for NinjaWriter: write the build rules for a spec.
@@ -403,12 +403,12 @@ class NinjaWriter(object):
     if self.flavor == 'mac':
       self.archs = self.xcode_settings.GetActiveArchs(config_name)
       if len(self.archs) > 1:
-        self.arch_subninjas = dict(
-            (arch, ninja_syntax.Writer(
+        self.arch_subninjas = {
+            arch: ninja_syntax.Writer(
                 OpenOutput(os.path.join(self.toplevel_build,
                                         self._SubninjaNameForArch(arch)),
-                           'w')))
-            for arch in self.archs)
+                           'w'))
+            for arch in self.archs}
 
     # Compute predepends for all rules.
     # actions_depends is the dependencies this target depends on before running
@@ -427,8 +427,8 @@ class NinjaWriter(object):
           compile_depends.append(target.PreCompileInput())
           if target.uses_cpp:
             self.target.uses_cpp = True
-      actions_depends = filter(None, actions_depends)
-      compile_depends = filter(None, compile_depends)
+      actions_depends = [_f for _f in actions_depends if _f]
+      compile_depends = [_f for _f in compile_depends if _f]
       actions_depends = self.WriteCollapsedDependencies('actions_depends',
                                                         actions_depends)
       compile_depends = self.WriteCollapsedDependencies('compile_depends',
@@ -455,8 +455,8 @@ class NinjaWriter(object):
     try:
       sources = extra_sources + spec.get('sources', [])
     except TypeError:
-      print 'extra_sources: ', str(extra_sources)
-      print 'spec.get("sources"): ', str(spec.get('sources'))
+      print('extra_sources: ', str(extra_sources))
+      print('spec.get("sources"): ', str(spec.get('sources')))
       raise
     if sources:
       if self.flavor == 'mac' and len(self.archs) > 1:
@@ -485,8 +485,8 @@ class NinjaWriter(object):
         if self.flavor != 'mac' or len(self.archs) == 1:
           link_deps += [self.GypPathToNinja(o) for o in obj_outputs]
         else:
-          print "Warning: Actions/rules writing object files don't work with " \
-                "multiarch targets, dropping. (target %s)" % spec['target_name']
+          print("Warning: Actions/rules writing object files don't work with " \
+                "multiarch targets, dropping. (target %s)" % spec['target_name'])
     elif self.flavor == 'mac' and len(self.archs) > 1:
       link_deps = collections.defaultdict(list)
 
@@ -544,7 +544,7 @@ class NinjaWriter(object):
     if self.msvs_settings.HasExplicitIdlRulesOrActions(spec):
       return []
     outputs = []
-    for source in filter(lambda x: x.endswith('.idl'), spec['sources']):
+    for source in [x for x in spec['sources'] if x.endswith('.idl')]:
       self._WinIdlRule(source, prebuild, outputs)
     return outputs
 
@@ -595,9 +595,9 @@ class NinjaWriter(object):
     if self.toolset != 'target':
       verb += '(%s)' % self.toolset
     if message:
-      return '%s %s' % (verb, self.ExpandSpecial(message))
+      return '{} {}'.format(verb, self.ExpandSpecial(message))
     else:
-      return '%s %s: %s' % (verb, self.name, fallback)
+      return '{} {}: {}'.format(verb, self.name, fallback)
 
   def WriteActions(self, actions, extra_sources, prebuild,
                    extra_mac_bundle_resources):
@@ -606,7 +606,7 @@ class NinjaWriter(object):
     all_outputs = []
     for action in actions:
       # First write out a rule for the action.
-      name = '%s_%s' % (action['action_name'], self.hash_for_rules)
+      name = '{}_{}'.format(action['action_name'], self.hash_for_rules)
       description = self.GenerateDescription('ACTION',
                                              action.get('message', None),
                                              name)
@@ -647,7 +647,7 @@ class NinjaWriter(object):
         continue
 
       # First write out a rule for the rule action.
-      name = '%s_%s' % (rule['rule_name'], self.hash_for_rules)
+      name = '{}_{}'.format(rule['rule_name'], self.hash_for_rules)
 
       args = rule['action']
       description = self.GenerateDescription(
@@ -667,7 +667,7 @@ class NinjaWriter(object):
       # must vary per source file.
       # Compute the list of variables we'll need to provide.
       special_locals = ('source', 'root', 'dirname', 'ext', 'name')
-      needed_variables = set(['source'])
+      needed_variables = {'source'}
       for argument in args:
         for var in special_locals:
           if '${%s}' % var in argument:
@@ -791,10 +791,10 @@ class NinjaWriter(object):
     copy_headers = spec['mac_framework_headers']
     output = self.GypPathToUniqueOutput('headers.hmap')
     self.xcode_settings.header_map_path = output
-    all_headers = map(self.GypPathToNinja,
-                      filter(lambda x:x.endswith(('.h')), all_sources))
+    all_headers = list(map(self.GypPathToNinja,
+                      [x for x in all_sources if x.endswith('.h')]))
     variables = [('framework', framework),
-                 ('copy_headers', map(self.GypPathToNinja, copy_headers))]
+                 ('copy_headers', list(map(self.GypPathToNinja, copy_headers)))]
     outputs.extend(self.ninja.build(
         output, 'compile_ios_framework_headers', all_headers,
         variables=variables, order_only=prebuild))
@@ -810,7 +810,7 @@ class NinjaWriter(object):
 
     for output, res in gyp.xcode_emulation.GetMacBundleResources(
         generator_default_variables['PRODUCT_DIR'],
-        self.xcode_settings, map(self.GypPathToNinja, resources)):
+        self.xcode_settings, list(map(self.GypPathToNinja, resources))):
       output = self.ExpandSpecial(output)
       if os.path.splitext(output)[-1] != '.xcassets':
         self.ninja.build(output, 'mac_tool', res,
@@ -838,7 +838,7 @@ class NinjaWriter(object):
         'XCASSETS_LAUNCH_IMAGE': 'launch-image',
     }
     settings = self.xcode_settings.xcode_settings[self.config_name]
-    for settings_key, arg_name in settings_to_arg.iteritems():
+    for settings_key, arg_name in settings_to_arg.items():
       value = settings.get(settings_key)
       if value:
         extra_arguments[arg_name] = value
@@ -918,10 +918,10 @@ class NinjaWriter(object):
           self.ninja, config_name, config, sources, predepends,
           precompiled_header, spec)
     else:
-      return dict((arch, self.WriteSourcesForArch(
+      return {arch: self.WriteSourcesForArch(
             self.arch_subninjas[arch], config_name, config, sources, predepends,
-            precompiled_header, spec, arch=arch))
-          for arch in self.archs)
+            precompiled_header, spec, arch=arch)
+          for arch in self.archs}
 
   def WriteSourcesForArch(self, ninja_file, config_name, config, sources,
                           predepends, precompiled_header, spec, arch=None):
@@ -978,7 +978,7 @@ class NinjaWriter(object):
                            [Define(d, self.flavor) for d in defines])
     if self.flavor == 'win':
       self.WriteVariableList(ninja_file, 'asmflags',
-                             map(self.ExpandSpecial, asmflags))
+                             list(map(self.ExpandSpecial, asmflags)))
       self.WriteVariableList(ninja_file, 'rcflags',
           [QuoteShellArgument(self.ExpandSpecial(f), self.flavor)
            for f in self.msvs_settings.GetRcflags(config_name,
@@ -1013,18 +1013,18 @@ class NinjaWriter(object):
     arflags = config.get('arflags', [])
 
     self.WriteVariableList(ninja_file, 'cflags',
-                           map(self.ExpandSpecial, cflags))
+                           list(map(self.ExpandSpecial, cflags)))
     self.WriteVariableList(ninja_file, 'cflags_c',
-                           map(self.ExpandSpecial, cflags_c))
+                           list(map(self.ExpandSpecial, cflags_c)))
     self.WriteVariableList(ninja_file, 'cflags_cc',
-                           map(self.ExpandSpecial, cflags_cc))
+                           list(map(self.ExpandSpecial, cflags_cc)))
     if self.flavor == 'mac':
       self.WriteVariableList(ninja_file, 'cflags_objc',
-                             map(self.ExpandSpecial, cflags_objc))
+                             list(map(self.ExpandSpecial, cflags_objc)))
       self.WriteVariableList(ninja_file, 'cflags_objcc',
-                             map(self.ExpandSpecial, cflags_objcc))
+                             list(map(self.ExpandSpecial, cflags_objcc)))
     self.WriteVariableList(ninja_file, 'arflags',
-                           map(self.ExpandSpecial, arflags))
+                           list(map(self.ExpandSpecial, arflags)))
     ninja_file.newline()
     outputs = []
     has_rc_source = False
@@ -1233,7 +1233,7 @@ class NinjaWriter(object):
           ldflags.append('-Wl,-rpath=%s' % self.target_rpath)
         ldflags.append('-Wl,-rpath-link=%s' % rpath)
     self.WriteVariableList(ninja_file, 'ldflags',
-                           map(self.ExpandSpecial, ldflags))
+                           list(map(self.ExpandSpecial, ldflags)))
 
     library_dirs = config.get('library_dirs', [])
     if self.flavor == 'win':
@@ -1247,8 +1247,8 @@ class NinjaWriter(object):
                                          self.flavor)
                       for l in library_dirs]
 
-    libraries = gyp.common.uniquer(map(self.ExpandSpecial,
-                                       spec.get('libraries', [])))
+    libraries = gyp.common.uniquer(list(map(self.ExpandSpecial,
+                                       spec.get('libraries', []))))
     if self.flavor == 'mac':
       libraries = self.xcode_settings.AdjustLibraries(libraries, config_name)
     elif self.flavor == 'win':
@@ -1525,7 +1525,7 @@ class NinjaWriter(object):
 
     if type in ('static_library', 'loadable_module', 'shared_library',
                         'executable'):
-      return '%s%s%s' % (prefix, target, extension)
+      return '{}{}{}'.format(prefix, target, extension)
     elif type == 'none':
       return '%s.stamp' % target
     else:
@@ -1943,7 +1943,7 @@ def GenerateOutputForConfig(target_list, target_dicts, data, params,
       wrappers[key[:-len('_wrapper')]] = os.path.join(build_to_root, value)
 
   # Support wrappers from environment variables too.
-  for key, value in os.environ.iteritems():
+  for key, value in os.environ.items():
     if key.lower().endswith('_wrapper'):
       key_prefix = key[:-len('_wrapper')]
       key_prefix = re.sub(r'\.HOST$', '.host', key_prefix)
@@ -1963,7 +1963,7 @@ def GenerateOutputForConfig(target_list, target_dicts, data, params,
               configs, generator_flags)
     cl_paths = gyp.msvs_emulation.GenerateEnvironmentFiles(
         toplevel_build, generator_flags, shared_system_includes, OpenOutput)
-    for arch, path in sorted(cl_paths.iteritems()):
+    for arch, path in sorted(cl_paths.items()):
       if clang_cl:
         # If we have selected clang-cl, use that instead.
         path = clang_cl
@@ -2437,7 +2437,7 @@ def PerformBuild(data, configurations, params):
   for config in configurations:
     builddir = os.path.join(options.toplevel_dir, 'out', config)
     arguments = ['ninja', '-C', builddir]
-    print 'Building [%s]: %s' % (config, arguments)
+    print('Building [{}]: {}'.format(config, arguments))
     subprocess.check_call(arguments)
 
 
@@ -2465,7 +2465,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
     GenerateOutputForConfig(target_list, target_dicts, data, params,
                             user_config)
   else:
-    config_names = target_dicts[target_list[0]]['configurations'].keys()
+    config_names = list(target_dicts[target_list[0]]['configurations'].keys())
     if params['parallel']:
       try:
         pool = multiprocessing.Pool(len(config_names))
@@ -2474,7 +2474,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
           arglists.append(
               (target_list, target_dicts, data, params, config_name))
         pool.map(CallGenerateOutputForConfig, arglists)
-      except KeyboardInterrupt, e:
+      except KeyboardInterrupt as e:
         pool.terminate()
         raise e
     else:
diff --git a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/xcode.py b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/xcode.py
index db99d6ab81..6e12b54efb 100644
--- a/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/xcode.py
+++ b/media/webrtc/trunk/tools/gyp/pylib/gyp/generator/xcode.py
@@ -109,7 +109,7 @@ def CreateXCConfigurationList(configuration_names):
   return xccl
 
 
-class XcodeProject(object):
+class XcodeProject:
   def __init__(self, gyp_path, path, build_file_dict):
     self.gyp_path = gyp_path
     self.path = path
@@ -129,7 +129,7 @@ class XcodeProject(object):
     try:
       os.makedirs(self.path)
       self.created_dir = True
-    except OSError, e:
+    except OSError as e:
       if e.errno != errno.EEXIST:
         raise
 
@@ -183,7 +183,7 @@ class XcodeProject(object):
     # the tree tree view for UI display.
     # Any values set globally are applied to all configurations, then any
     # per-configuration values are applied.
-    for xck, xcv in self.build_file_dict.get('xcode_settings', {}).iteritems():
+    for xck, xcv in self.build_file_dict.get('xcode_settings', {}).items():
       xccl.SetBuildSetting(xck, xcv)
     if 'xcode_config_file' in self.build_file_dict:
       config_ref = self.project.AddOrGetFileInRootGroup(
@@ -196,8 +196,8 @@ class XcodeProject(object):
             build_file_configurations.get(config_name, {})
         if build_file_configuration_named:
           xcc = xccl.ConfigurationNamed(config_name)
-          for xck, xcv in build_file_configuration_named.get('xcode_settings',
-                                                             {}).iteritems():
+          for xck, xcv in (build_file_configuration_named.get('xcode_settings',
+                                                             {})).items():
             xcc.SetBuildSetting(xck, xcv)
           if 'xcode_config_file' in build_file_configuration_named:
             config_ref = self.project.AddOrGetFileInRootGroup(
@@ -273,7 +273,7 @@ class XcodeProject(object):
           script = script + "\n".join(
             ['export %s="%s"' %
              (key, gyp.xcodeproj_file.ConvertVariablesToShellSyntax(val))
-             for (key, val) in command.get('environment').iteritems()]) + "\n"
+             for (key, val) in command.get('environment').items()]) + "\n"
 
         # Some test end up using sockets, files on disk, etc. and can get
         # confused if more then one test runs at a time.  The generator
@@ -454,7 +454,7 @@ sys.exit(subprocess.call(sys.argv[1:]))" """
       same = False
       try:
         same = filecmp.cmp(pbxproj_path, new_pbxproj_path, False)
-      except OSError, e:
+      except OSError as e:
         if e.errno != errno.ENOENT:
           raise
 
@@ -473,10 +473,10 @@ sys.exit(subprocess.call(sys.argv[1:]))" """
         #
         # No way to get the umask without setting a new one?  Set a safe one
         # and then set it back to the old value.
-        umask = os.umask(077)
+        umask = os.umask(0o77)
         os.umask(umask)
 
-        os.chmod(new_pbxproj_path, 0666 & ~umask)
+        os.chmod(new_pbxproj_path, 0o666 & ~umask)
         os.rename(new_pbxproj_path, pbxproj_path)
 
     except Exception:
@@ -566,7 +566,7 @@ def EscapeXcodeDefine(s):
 def PerformBuild(data, configurations, params):
   options = params['options']
 
-  for build_file, build_file_dict in data.iteritems():
+  for build_file, build_file_dict in data.items():
     (build_file_root, build_file_ext) = os.path.splitext(build_file)
     if build_file_ext != '.gyp':
       continue
@@ -577,7 +577,7 @@ def PerformBuild(data, configurations, params):
   for config in configurations:
     arguments = ['xcodebuild', '-project', xcodeproj_path]
     arguments += ['-configuration', config]
-    print "Building [%s]: %s" % (config, arguments)
+    print("Building [{}]: {}".format(config, arguments))
     subprocess.check_call(arguments)
 
 
@@ -625,7 +625,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
   skip_excluded_files = \
       not generator_flags.get('xcode_list_excluded_files', True)
   xcode_projects = {}
-  for build_file, build_file_dict in data.iteritems():
+  for build_file, build_file_dict in data.items():
     (build_file_root, build_file_ext) = os.path.splitext(build_file)
     if build_file_ext != '.gyp':
       continue
@@ -744,7 +744,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
       xctarget_type = gyp.xcodeproj_file.PBXNativeTarget
       try:
         target_properties['productType'] = _types[type_bundle_key]
-      except KeyError, e:
+      except KeyError as e:
         gyp.common.ExceptionAppend(e, "-- unknown product type while "
                                    "writing target %s" % target_name)
         raise
@@ -1011,7 +1011,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
         # TODO(mark): There's a possibilty for collision here.  Consider
         # target "t" rule "A_r" and target "t_A" rule "r".
         makefile_name = '%s.make' % re.sub(
-            '[^a-zA-Z0-9_]', '_' , '%s_%s' % (target_name, rule['rule_name']))
+            '[^a-zA-Z0-9_]', '_' , '{}_{}'.format(target_name, rule['rule_name']))
         makefile_path = os.path.join(xcode_projects[build_file].path,
                                      makefile_name)
         # TODO(mark): try/close?  Write to a temporary file and swap it only
@@ -1024,7 +1024,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
         # target.
         makefile.write('all: \\\n')
         for concrete_output_index in \
-            xrange(0, len(concrete_outputs_by_rule_source)):
+            range(0, len(concrete_outputs_by_rule_source)):
           # Only list the first (index [0]) concrete output of each input
           # in the "all" target.  Otherwise, a parallel make (-j > 1) would
           # attempt to process each input multiple times simultaneously.
@@ -1036,7 +1036,7 @@ def GenerateOutput(target_list, target_dicts, data, params):
             eol = ''
           else:
             eol = ' \\'
-          makefile.write('    %s%s\n' % (concrete_output, eol))
+          makefile.write('    {}{}\n'.format(concrete_output, eol))
 
         for (rule_source, concrete_outputs, message, action) in \
             zip(rule['rule_sources'], concrete_outputs_by_rule_source,
@@ -1047,13 +1047,13 @@ def GenerateOutput(target_list, target_dicts, data, params):
           # rule source.  Collect the names of the directories that are
           # required.
           concrete_output_dirs = []
-          for concrete_output_index in xrange(0, len(concrete_outputs)):
+          for concrete_output_index in range(0, len(concrete_outputs)):
             concrete_output = concrete_outputs[concrete_output_index]
             if concrete_output_index == 0:
               bol = ''
             else:
               bol = '    '
-            makefile.write('%s%s \\\n' % (bol, concrete_output))
+            makefile.write('{}{} \\\n'.format(bol, concrete_output))
 
             concrete_output_dir = posixpath.dirname(concrete_output)
             if (concrete_output_dir and
@@ -1066,13 +1066,13 @@ def GenerateOutput(target_list, target_dicts, data, params):
           # the set of additional rule inputs, if any.
           prerequisites = [rule_source]
           prerequisites.extend(rule.get('inputs', []))
-          for prerequisite_index in xrange(0, len(prerequisites)):
+          for prerequisite_index in range(0, len(prerequisites)):
             prerequisite = prerequisites[prerequisite_index]
             if prerequisite_index == len(prerequisites) - 1:
               eol = ''
             else:
               eol = ' \\'
-            makefile.write('    %s%s\n' % (prerequisite, eol))
+            makefile.write('    {}{}\n'.format(prerequisite, eol))
 
           # Make sure that output directories exist before executing the rule
           # action.
@@ -1288,7 +1288,7 @@ exit 1
           set_define = EscapeXcodeDefine(define)
           xcbc.AppendBuildSetting('GCC_PREPROCESSOR_DEFINITIONS', set_define)
       if 'xcode_settings' in configuration:
-        for xck, xcv in configuration['xcode_settings'].iteritems():
+        for xck, xcv in configuration['xcode_settings'].items():
           xcbc.SetBuildSetting(xck, xcv)
       if 'xcode_config_file' in configuration:
         config_ref = pbxp.AddOrGetFileInRootGroup(
@@ -1296,7 +1296,7 @@ exit 1
         xcbc.SetBaseConfiguration(config_ref)
 
   build_files = []
-  for build_file, build_file_dict in data.iteritems():
+  for build_file, build_file_dict in data.items():
     if build_file.endswith('.gyp'):
       build_files.append(build_file)
 
